# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/ktietz/demo/src/aggregate/grpcio-feedstock/recipe, last modified Sat Aug  7 09:29:09 2021
# ------------------------------------------------

package:
  name: grpcio
  version: 1.36.1
source:
  patches:
    - 0001-Monkey-patch-distutils.ccompiler.spawn-to-elide-std-.patch
    - 0001-fix-win-commands.patch
    - 0001-fix-win-setup.patch
    - 0002-windows-ssl-lib-names.patch
    - fix_sysroot.patch
  sha256: a66ea59b20f3669df0f0c6a3bd57b985e5b2d1dcf3e4c29819bb8dc232d0fd38
  url: https://pypi.io/packages/source/g/grpcio/grpcio-1.36.1.tar.gz
build:
  number: '1'
  string: py39h95c9599_1
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_24
    - clang 12.0.0 hca03da5_4
    - clang-12 12.0.0 default_he099f3d_4
    - clang_osx-arm64 12.0.0 hcb56dc5_3
    - clangxx 12.0.0 default_he099f3d_4
    - clangxx_osx-arm64 12.0.0 h39b79ac_3
    - compiler-rt 12.0.0 h4ccfd99_3
    - compiler-rt_osx-arm64 12.0.0 h4fb70ea_3
    - ld64_osx-arm64 530 h001ce53_24
    - ldid 2.1.2 h7dde238_2
    - libclang-cpp12 12.0.0 default_he099f3d_4
    - libcxx 12.0.0 hf6beb65_1
    - libllvm12 12.0.0 h12f7ac0_4
    - llvm-tools 12.0.0 h12f7ac0_4
    - tapi 1100.0.11 ha21211d_0
    - zlib 1.2.11 hca03da5_3
  host:
    - c-ares 1.17.1 h1a28f6b_0
    - ca-certificates 2021.4.13 hca03da5_1
    - certifi 2021.5.30 py39hca03da5_0
    - coverage 5.5 py39h1230e6a_2
    - cython 0.29.24 py39hc377ac9_0
    - expat 2.4.1 hc377ac9_2
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.3 hc4ed4cf_2
    - libiconv 1.16 h1230e6a_0
    - ncurses 6.2 hc4ed4cf_0
    - openssl 1.1.1j h1230e6a_0
    - pip 21.2.2 py39hca03da5_0
    - python 3.9.6 hc8d96b9_3
    - readline 8.1 h1230e6a_0
    - setuptools 52.0.0 py39hca03da5_0
    - six 1.16.0 pyhd3eb1b0_0
    - sqlite 3.35.4 h9835d80_0
    - tk 8.6.10 h6b60437_0
    - tzdata 2021a h5d7bf9c_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h1a28f6b_0
    - zlib 1.2.11 hca03da5_3
  run:
    - c-ares >=1.17.1,<2.0a0
    - coverage
    - cython
    - libcxx >=12.0.0
    - openssl >=1.1.1j,<1.1.2a
    - python >=3.9,<3.10.0a0
    - setuptools
    - six >=1.5.2
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - python -m pip check
  imports:
    - grpc
    - grpc._cython
    - grpc._cython._cygrpc
    - grpc.beta
    - grpc.framework
    - grpc.framework.common
    - grpc.framework.foundation
    - grpc.framework.interfaces
    - grpc.framework.interfaces.base
    - grpc.framework.interfaces.face
  requires:
    - pip
about:
  dev_url: https://pypi.org/project/grpcio/
  home: https://grpc.io
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: HTTP/2-based RPC framework
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - bollwyvl
    - jcrist
    - ocefpaf
    - tswast
